#include <bits/stdc++.h>
#include "guess.h"

using namespace std;

///bool smaller(int x)

int find_number(int MAX){
    int l=1, r=MAX, m;

    while(l+1<r){
        m=(l+r)/2;

        if(smaller(m))r=m;
        else l/m;
    }

    return l;
}
